> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project Policy

> Updates an existing project policy.

`Unary` · [`Projects`](https://ona.com/docs/api-reference/generated/project/overview)

Updates an existing project policy.

Use this method to:

* Modify access levels
* Change group roles
* Update permissions

### Examples

* Update policy role:

  Changes a group's access level.

  ```yaml theme={null}
  projectId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  groupId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
  role: PROJECT_ROLE_EDITOR
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.ProjectService/UpdateProjectPolicy
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.ProjectService/UpdateProjectPolicy" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "projectId": "<project-id>"
}'
```

```python Python theme={null}
import gitpod.v1.project_pb2 as project_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = project_pb2.UpdateProjectPolicyRequest(
    project_id="<project-id>",
)
response = ona.services.project.update_project_policy(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { UpdateProjectPolicyRequestSchema } from "@gitpod/sdk/gitpod/v1/project_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(UpdateProjectPolicyRequestSchema, {
    projectId: "<project-id>",
  });
  const response = await ona.services.project.updateProjectPolicy(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.UpdateProjectPolicyRequest{
		ProjectId: "<project-id>",
	})
	response, err := ona.Services.Project.UpdateProjectPolicy(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "projectId": "<project-id>"
}
```

## Request

`gitpod.v1.UpdateProjectPolicyRequest`

UpdateProjectPolicyRequest updates a Project Policy.

| Field | Type | Required | Description |
| - | - | - | - |
| `projectId` | string | No | project\_id specifies the project identifier Constraints: `string.uuid=true`. |
| `groupId` | string | No | group\_id specifies the group\_id identifier Constraints: `string.uuid=true`. |
| `role` | [ProjectRole](#enum-gitpod-v1-project-role) | No | |

## Response

`gitpod.v1.UpdateProjectPolicyResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `policy` | [ProjectPolicy](#type-gitpod-v1-project-policy) | No | |

## Related types

> [accordion] ProjectPolicy
>
> `gitpod.v1.ProjectPolicy`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `groupId` | string | No | Constraints: `string.uuid=true`. |
> | `role` | [ProjectRole](#enum-gitpod-v1-project-role) | No | role is the role assigned to the group |

> [accordion] ProjectRole
>
> | Value | Number | Description |
> | - | -: | - |
> | `PROJECT_ROLE_UNSPECIFIED` | 0 | |
> | `PROJECT_ROLE_ADMIN` | 1 | |
> | `PROJECT_ROLE_USER` | 2 | |
> | `PROJECT_ROLE_EDITOR` | 3 | |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.